/* =========== for sidenav css ===========*/
.sidenav-main {
  width: 100%;
  min-height: 100%;
  // position: fixed;
  left: 0;
  top: 0;
  bottom: 0;
  background: linear-gradient(to top, #de00a7, #8000cd, #4637ee);
  z-index: 99;
  padding: rem(12);
  color:$white;
  overflow-y: auto;
}
.sidenav-top {
  margin: 0 0 rem(3);
  display: flex;
  align-items: center;
  color: $white;
  justify-content: flex-end;
}
.sidenav-top span {
  margin: 0 rem(5);
}
.sidenav-identity {
  margin: 0 0 rem(18);
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.sidenav-identity .avatar { background: #6c5bed;
  border-radius: 5px;
  width: rem(60);
  height: rem(60);
  text-align: center;
}
.sidenav-identity .id-right {
  width: 64%;
}
.sidenav-identity .id-right h4 {
  margin: 0 0 rem(5);
  color: #fff;
}
.sidenav-identity .id-right p {
  margin: 0;
}

.main-menu ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
.main-menu ul li {
  padding-left: rem(40);
  position: relative;
  border-top: 1px solid #7154ea;
  position: relative;
  z-index: 0;
}
.main-menu ul li i {
  position: absolute;
  left: 0;
  top: rem(5);
}
.main-menu ul li a {
  display: block;
  padding: rem(10) rem(15) rem(10) 0;
  color: $white;
}
.main-menu ul li .sidenav-item-btn {
  display: block;
  padding: rem(10) rem(15) rem(10) 0;
  color: $white;
  background: transparent;
  text-align: left;
  font-size: 12px;
  font-weight: normal;
}
.main-menu ul li ul.sub-menu {
  margin-bottom: rem(10);
  padding-top: rem(10);
  overflow: hidden;
}
.main-menu ul li ul.sub-menu:before {
  content: '';
  background: #7154ea;
  position: absolute;
  width: 100%;
  height: 1px;
  left: 0;
  right: 0;
  top: rem(40);
}
.main-menu ul li ul.sub-menu li {
  padding: 0;
  border: 0;
}
.main-menu ul li ul.sub-menu li a {
  padding: rem(3) 0;
}

.main-menu ul li.has-submenu:after {
  content: '';
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid #fff;
  position: absolute;
  right: 0;
  top: 16px;
  z-index: -1;
}


/* =========== for sidenav css ===========*/
